org.apache.ignite.spi.metric

## Interface IntMetric

All Superinterfaces:
  Metric

All Known Implementing Classes:
  IntGauge, IntMetricImpl

    public interface IntMetric
    extends Metric

Interface for the metrics that holds int primitive.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default String` `getAsString()`
`int` `value()`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name, reset`

### Method Detail

#### value

    int value()

Returns:
  Value of the metric.

#### getAsString

    default String getAsString()

Specified by:
  `getAsString` in interface `Metric`
Returns:
  String representation of metric value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022